Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.util
Class NameComponentChooser

    java.lang.Object
      |
      +--org.netbeans.jemmy.util.NameComponentChooser

All Implemented Interfaces:
  ComponentChooser

public class NameComponentChooser
extends java.lang.Object
implements ComponentChooser

Specifies criteria for component lookup basing on component name. By default uses new Operator.DefaultStringComparator(true, true) compa

Author:
  Nathan Paris (Nathan_Paris@adp.com), Alexandre Iline (alexandre.iline@sun.com)

Constructor Summary
`NameComponentChooser(java.lang.String name)` Creates an instance to search for a component by name using exact comparision.
`NameComponentChooser(java.lang.String name, Operator.StringComparator comparator)` Creates an instance to search for a component by name.

Method Summary
`boolean` | `checkComponent(java.awt.Component component)` Check if the component argument meets the search criteria.
`java.lang.String` | `getDescription()` Returns searched component description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameComponentChooser

    public NameComponentChooser(java.lang.String name,
                                Operator.StringComparator comparator)

  Creates an instance to search for a component by name.
  Parameters:
    `name` - Expecten component name pattern.
    `comparator` - Comparator for a comparision of a component name with a pattern.

### NameComponentChooser

    public NameComponentChooser(java.lang.String name)

  Creates an instance to search for a component by name using exact comparision.
  Parameters:
    `name` - Expecten component name pattern.

Method Detail

### checkComponent

    public boolean checkComponent(java.awt.Component component)

  Description copied from interface: `ComponentChooser`
  Check if the component argument meets the search criteria.
  Specified by:
    `checkComponent` in interface `ComponentChooser`
  Following copied from interface: `org.netbeans.jemmy.ComponentChooser`
  Parameters:
    `comp` - Component to check.
  Returns:
    `true` when the component conforms to the search criteria; `false` otherwise.

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `ComponentChooser`
  Returns searched component description.
  Specified by:
    `getDescription` in interface `ComponentChooser`
  Following copied from interface: `org.netbeans.jemmy.ComponentChooser`
  Returns:
    a String representing the description value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD